<?php

namespace Wpayo\Gateways;

use Pronamic\WordPress\Pay\AbstractGatewayIntegration;

/**
 * Title: Other Payment Provider Integration
 * Copyright: 2020-2023 WPayo
 *
 * @author  WPayo
 * @version 8.79.3.0
 * @since   8.79.3.0
 */
class Integration extends AbstractGatewayIntegration {
	/**
	 * Construct Test integration.
	 *
	 * @param array $args Arguments.
	 */
	public function __construct( $args = [] ) {
		$args = wp_parse_args(
			$args,
			[
				'id'          => 'other',
				'name'        => 'Other Payment Providers',
				'product_url' => KNITPAY_GLOBAL_GATEWAY_LIST_URL,
				'provider'    => 'other',
			]
		);

		parent::__construct( $args );
	}

	/**
	 * Get settings fields.
	 *
	 * @return array
	 */
	public function get_settings_fields() {
		$fields = [];

		$fields[] = [
			'section' => 'general',
			'type'    => 'html',
			// 'html'    => '<h1>If the Payment Gateway provider which you want to integrate is not on the list above, contact us to learn about the premium addon.</h1>'
			// . '<br><br><a class="button button-primary" target="_blank" href="https://www.knitpay.org/contact-us/?utm_source=knit-pay&utm_medium=ecommerce-module&utm_campaign=module-admin&utm_content=other-gateways"
		    // role="button"><strong>Contact Us</strong></a>',
		];

		// Return fields.
		return $fields;
	}

	/**
	 * Get gateway.
	 *
	 * @param int $post_id Post ID.
	 * @return Gateway
	 */
	public function get_gateway( $config_id ) {
		return new Gateway();
	}
}
