<?php

/**
* Input page.
*
* @param array $args Arguments.
* @return void
*/
function select_configuration( $args ) {
   $args['id']   = $args['label_for'];
   $args['name'] = $args['label_for'];

   $configurations    = Plugin::get_config_select_options();
   $configurations[0] = __( '— Default Gateway —', 'wpayo' );

   $configuration_options              = [];
   $configuration_options[]['options'] = $configurations;

   printf(
       '<select %s>%s</select>',
       // @codingStandardsIgnoreStart
       Util::array_to_html_attributes( $args ),
       Util::select_options_grouped( $configuration_options, get_option( 'pronamic_pay_config_id' ) )
       // @codingStandardsIgnoreEnd
   );

   if ( isset( $args['description'] ) ) {
       printf(
           '<p class="pronamic-pay-description description">%s</p>',
           // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
           $args['description']
       );
   }
}
function payment_link_script() {
   ?>
    <script>
            jQuery("#payment-link-submit-button").click(function(event) {
                event.preventDefault();

                jQuery("#create-payment-link-notice").remove();

                var submit_button = jQuery("#payment-link-submit-button");
                submit_button.attr("disabled", "");
                submit_button.text("Loading...");

                // jQuery.get(ajaxurl, {
                //         "action": "knit_pay_create_payment_link",
                //         "knit_pay_nonce": jQuery("#knit_pay_nonce").val(),
                //         "amount": jQuery("#knit_pay_payment_link_amount").val(),
                //         "payment_description": jQuery("#knit_pay_payment_link_payment_description").val(),
                //         "payment_ref_id": jQuery("#knit_pay_payment_link_payment_ref_id").val(),
                //         "customer_name": jQuery("#knit_pay_payment_link_customer_name").val(),
                //         "customer_email": jQuery("#knit_pay_payment_link_customer_email").val(),
                //         "customer_phone": jQuery("#knit_pay_payment_link_customer_phone").val(),
                //         "config_id": jQuery("#knit_pay_payment_link_config_id").val(),
                //         "rand": jQuery("#knit_pay_payment_link_rand").val(),
                //     },
                //     function(msg) {
                //         submit_button.removeAttr("disabled");
                //         submit_button.val("Create Payment Link");

                //         msg = JSON.parse(msg);
                //         if ("success" == msg.status) {
                //             alert("Payment Link Generated");
                //             jQuery("#create-payment-link").after('<div id="create-payment-link-notice" class="notice notice-success"><p>Payment Link Generated:<br><strong>' + msg.redirect_url + '</strong></p></div>');
                //             jQuery('html, body').animate({
                //                 scrollTop: jQuery("#create-payment-link-notice").offset().top
                //             }, 2000);
                //         } else {
                //             alert(msg.error_msg);
                //         }
                //     });
                });
    </script>
   <?php
  }

function payment_link_button() {
   ?>
    <a href="#" class="button button-primary" id="payment-link-submit-button">Create Payment Link</a>
   <?php
  }
  

$fields_payment = array(
    
    array(
        'type'    => 'subheading',
        'content' => 'Create Payment Link',
    ),
    array(
        'type'    => 'submessage',
        'style'   => 'success',
        'content' => 'Payment Link helps you generate branded payment links directly from WordPress Dashboard without using Payment Gateway Dashboard.'
    ),
    array(
        'id'         => 'knit_pay_payment_link_amount',
        'type'       => 'number',
        'title'      => 'Amount',
        'attributes' => array(
            'min' => '1',
        ),
    ),
    array(
        'id'      => 'knit_pay_payment_link_payment_description',
        'type'    => 'text',
        'title'   => 'Payment For',
        'desc'    => 'Payment Purpose/Description',
    ),
    array(
        'id'      => 'knit_pay_payment_link_payment_ref_id',
        'type'    => 'text',
        'title'   => 'Reference Id',
    ),
    array(
        'id'      => 'knit_pay_payment_link_customer_name',
        'type'    => 'text',
        'title'   => 'Customer Name',
        'desc'    => 'For some payment gateways, Customer Name is a required field.',
    ),  
    array(
        'id'      => 'knit_pay_payment_link_customer_email',
        'type'    => 'text',
        'title'   => 'Customer Email',
        'desc'    => 'For some payment gateways, Customer Email is also a required field',
    ),  
    array(
        'id'      => 'knit_pay_payment_link_customer_phone',
        'type'    => 'text',
        'title'   => 'Customer Phone',
        'desc'    => 'For some payment gateways, Customer Phone is a required field too.',
    ),
    array(
        'type'     => 'callback',
        'function' => 'select_configuration',
    ),
    array(
        'type'     => 'callback',
        'function' => 'payment_link_button',
    ),
    array(
        'type'     => 'callback',
        'function' => 'payment_link_script',
    ),
    
);

CSF::createSection(
    'test-id',
    array(
        'title'  => __( 'Payment link', 'wpayo' ),
        'fields' => $fields_payment,
    ),
);
?>
