<?php
use Pronamic\WordPress\Money\Money;
use Pronamic\WordPress\Pay\Util;

function page_reports( $admin_reports ) {
	?>
			<div id="poststuff">
			<div class="postbox">
				<div class="pronamic-pay-chart-filter">
				</div>
				<div class="inside pronamic-pay-chart-with-sidebar">
					<div class="pronamic-pay-chart-sidebar">
						<ul class="pronamic-pay-chart-legend">
							<?php foreach ( $admin_reports->get_reports() as $i => $serie ) : ?>
								<?php // phpcs:disable WordPress.NamingConventions.ValidVariableName.UsedPropertyNotSnakeCase -- Flot data object. ?>
								<li class="<?php echo esc_attr( $serie->class ); ?>" data-pronamic-pay-highlight-serie="<?php echo esc_attr( $i ); ?>">
									<?php
									echo '<strong>';
									$legend_value = \property_exists( $serie, 'legendValue' ) ? $serie->legendValue : '';
									if ( isset( $serie->tooltipFormatter ) && 'money' === $serie->tooltipFormatter ) {
										$money = new Money( $legend_value, 'EUR' );
										echo esc_html( $money->format_i18n() );
									} else {
										echo esc_html( $legend_value );
									}
									echo '</strong>';
									echo esc_html( $serie->label );
									?>
								</li>
								<?php // phpcs:enable WordPress.NamingConventions.ValidVariableName.UsedPropertyNotSnakeCase -- Flot data object. ?>
							<?php endforeach; ?>
						</ul>
					</div>
					<div id="chart1" style="height: 500px; width: 100%;"></div>
				</div>
			</div>
		</div>
	<?php
}

if ( class_exists( 'CSF' ) ) {
	CSF::createSection(
		"id",
		array(
			'title'  => 'Reports',
			'fields' => array(
				array(
					'type'     => 'callback',
					'function' => 'page_reports',
				),
			),
		)
	);
}
?>
