<?php 

function hide_button() {
    $pages = [ 'completed', 'cancel', 'expired', 'error', 'unknown' ];
    $hide_button = false;
    foreach ( $pages as $status ) {
        $option_name = sprintf( 'pronamic_pay_%s_page_id', $status );
        $test_options = get_option( 'test-id' );

        $option = $test_options[$option_name];

        if ( ! empty( $option ) ) {
            $hide_button = true;
        }
    return $hide_button;
    }
}
function button(){
    ?>
    <a  href="#" 
        id = 'test_button'
        class="button button-primary csf--button" 
        data-library="" 
        data-preview-size="thumbnail"><?php _e('Set default pages','wpayo')?></a>
    <?php
}

define('PRONAMIC_PAY_DEBUG1',true);
$fields = array(
    array(
        'type'        => 'subheading',
        'content'     => __( 'General Settings', 'wpayo' ),
    ),
  
    array(
        'id'          => 'wpayo_config_id',
        'type'        => 'select',
        'title'       => __( 'Default Gateway', 'wpayo' ),
        'placeholder' =>__( '— Select a gateway —', 'wpayo' ),
        'options'     => 'posts',
        'query_args'  => array(
          'post_type' => 'wpayo_gateway',
            ),
    ),
    array(
        'id'          => 'pronamic_pay_google_analytics_property',
        'type'        => 'text',
        'title'       => __( 'Google Analytics tracking ID', 'wpayo' ),
        'desc'        => __( 
            'Set a Google Analytics tracking UA code to track ecommerce revenue.',
            'wpayo' ),
    ),
    array(
        'id'      => 'pronamic_pay_uninstall_clear_data',
        'type'    => 'checkbox',
        'title'   => __( 'Remove Data',  'wpayo' ),
        'label'   => __( 'Remove all plugin data on uninstall', 'wpayo' ),
        'default' => false 
    ),
    array(
        'id'       => 'pronamic_pay_debug_mode',
        'type'     => 'checkbox',
        'title'    => __( 'Debug Mode',  'wpayo' ),
        'label'    => __('Enable debug mode', 'wpayo' ),
    ),
    array(
        'type'        => 'subheading',
        'content'     => __( 'Payment Status Pages', 'wpayo' ),
    ),
    array(
        'type'    => 'content',
        'content' => '<p>' .
            __("The page an user will get redirected to after payment,
            based on the payment status.",'wpayo' ) . '<p>' 
      ),
);
    
if ( !hide_button()) {
    array_push($fields, 
        array(
            'type'     => 'callback',
            'function' => 'button',
        )
    );
}
array_push($fields,    
    array(
        'id'          => 'pronamic_pay_completed_page_id',
        'type'        => 'select',
        'title'       => __( 'Completed', 'wpayo' ),
        'placeholder' => __( '— Select a page —', 'wpayo' ),
        'options'     => 'pages',
        'query_args'  => array(
          'posts_per_page' => -1 // for get all pages (also it's same for posts).
        )
    ),
    array(
        'id'          => 'pronamic_pay_cancel_page_id',
        'type'        => 'select',
        'title'       => __( 'Canceled', 'wpayo' ),
        'placeholder' => __( '— Select a page —', 'wpayo' ),
        'options'     => 'pages',
        'query_args'  => array(
          'posts_per_page' => -1 // for get all pages (also it's same for posts).
        )
    ),
    array(
        'id'          => 'pronamic_pay_expired_page_id',
        'type'        => 'select',
        'title'       => __( 'Expired', 'wpayo' ),
        'placeholder' => __( '— Select a page —', 'wpayo' ),
        'options'     => 'pages',
        'query_args'  => array(
          'posts_per_page' => -1 // for get all pages (also it's same for posts).
        )
    ),
    array(
        'id'          => 'pronamic_pay_error_page_id',
        'type'        => 'select',
        'title'       => __( 'Error', 'wpayo' ),
        'placeholder' => __( '— Select a page —', 'wpayo' ),
        'options'     => 'pages',
        'query_args'  => array(
          'posts_per_page' => -1 // for get all pages (also it's same for posts).
        )
    ),
    array(
        'id'          => 'pronamic_pay_unknown_page_id',
        'type'        => 'select',
        'title'       => __( 'Unknown', 'wpayo' ),
        'placeholder' => __( '— Select a page —', 'wpayo' ),
        'options'     => 'pages',
        'query_args'  => array(
          'posts_per_page' => -1 // for get all pages (also it's same for posts).
        )
    ),
    array(
        'id'          => 'wpayo_pay_subscription_canceled_page_id',
        'type'        => 'select',
        'title'       => __( 'Subscription Canceled', 'wpayo' ),
        'placeholder' => __( '— Select a page —', 'wpayo' ),
        'options'     => 'pages',
        'query_args'  => array(
          'posts_per_page' => -1 // for get all pages (also it's same for posts).
        )
    ),  
);


CSF::createSection(
    'test-id',
    array(
        'title'    => __( 'Settings', 'wpayo' ),
        'fields'   => $fields,
        'priority' => 100,
		 'icon'   => 'fas fa-cog',
    ),
);
?>